For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate contact attribute
      • PUTUpdate contact attribute
      • GETList all attributes
      • DELDelete an attribute
      • DELDelete a multiple-choice attribute option
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementAttributes

Update contact attribute

PUT
https://api.brevo.com/v3/contacts/attributes/:attributeCategory/:attributeName
PUT
/v3/contacts/attributes/:attributeCategory/:attributeName
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.updateAttribute("category", "attributeName", {});
8}
9main();

Update an existing contact attribute identified by its category and name. For category-type attributes, you can update the enumeration values; for calculated or global attributes, update the computed value formula; and for normal multiple-choice attributes, update the multicategory options. None of the category or multicategory option values can exceed 200 characters.

Was this page helpful?
Previous

List all attributes

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

attributeCategoryenumRequired
Category of the attribute
Allowed values:
attributeNamestringRequired
Name of the existing attribute

Request

Values to update an attribute
enumerationlist of objectsOptional

List of the values and labels that the attribute can take. Use only if the attribute’s category is “category” None of the category options can exceed max 200 characters. For example, [{“value”:1, “label”:“male”}, {“value”:2, “label”:“female”}]

multiCategoryOptionslist of stringsOptional

Use this option to add multiple-choice attributes options only if the attribute’s category is “normal”. This option is specifically designed for updating multiple-choice attributes. None of the multicategory options can exceed max 200 characters.. For example: [“USA”,“INDIA”]

valuestringOptional

Value of the attribute to update. Use only if the attribute’s category is ‘calculated’ or ‘global’

Response

Attribute updated

Errors

400
Bad Request Error
404
Not Found Error